package org.jeecg.modules.device.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.device.entity.BuRiskItemValue;
import org.jeecg.modules.device.model.DeviceRate;

import java.util.List;

/**
 * @Description: bu_risk_item_value
 * @Author: jeecg-boot
 * @Date:   2024-08-02
 * @Version: V1.0
 */
public interface BuRiskItemValueMapper extends BaseMapper<BuRiskItemValue> {

    public BuRiskItemValue getDataByTwoId(@Param("deviceId") String deviceId,@Param("riskId") String riskId);

    public List<BuRiskItemValue> getDeviceItemStatus(@Param("deviceId") String deviceId);



    //总设备异常个数
    public long getDeviceAbnormalCount();
    //每类设备的合格率和风险数
    public List<DeviceRate> getDeviceRiskRate();
    //每类设备接入情况
    public List<DeviceRate> getDeviceAccEssRate();
    //设备故障率
    public List<DeviceRate> getDeviceFaultRate();


}
